de.dhbwstuttgart.syntaxtree

## Class ClassHelper

- java.lang.Object
- - de.dhbwstuttgart.syntaxtree.ClassHelper

-     public class ClassHelper
      extends java.lang.Object

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ClassHelper()`

  - ### Method Summary

    All Methods Static Methods Concrete Methods Deprecated Methods
    Modifier and Type | Method and Description
    --- | ---
    `static GenericTypeVar` | `findGenericType(Type type, Menge<Type> paralist, Menge<GenericTypeVar> methodParaList)` Deprecated.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ClassHelper

          public ClassHelper()

  - ### Method Detail

    - #### findGenericType

          @Deprecated
          public static GenericTypeVar findGenericType(Type type,
                                                                   Menge<Type> paralist,
                                                                   Menge<GenericTypeVar> methodParaList)

      Deprecated.
      HOTI Diese Methode sucht in der Klassendefinition nach einen GTV, die so heiÃt wie die im RefType definierte Variable. Wenn sie diese gefunden hat, wird sie zurÃ¼ckgeben. Wenn dies nicht der Fall war, schaut sie, falls angegeben in den Methodenparametern nach. Findet sie dort auch nichts, liefert die Methode null.
      Parameters:
        `type` -
      Returns: